import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconValidationWarningCss = ".sc-digi-icon-validation-warning-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-validation-warning-h svg.sc-digi-icon-validation-warning{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconValidationWarningStyle0 = iconValidationWarningCss;

const IconValidationWarning = /*@__PURE__*/ proxyCustomElement(class IconValidationWarning extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("div", { key: '4b2915251fcad07985bea41e6a3761b8fdf6cfac' }, h("svg", { key: '2d58830353438155a46bc655a481726f994a9d94', class: "digi-icon-validation-warning", width: "18", height: "18", viewBox: "0 0 18 18", xmlns: "http://www.w3.org/2000/svg", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined }, this.afTitle && h("title", { key: '89b3cddbab4ed46001074b427118447ca4b03dce', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: '437d1bbd833abe5f6781b9ef7a5c6d7838dd49b3' }, this.afDesc), h("g", { key: 'eb54fd247a6fa06b8b3fdd851fbc5b18e641bf77', fill: "none", "fill-rule": "evenodd" }, h("circle", { key: '517f9348cb0cd47b7abeb4000a0d538e75c426c1', cx: "9", cy: "9", r: "6.75", fill: "#333" }), h("path", { key: 'bb860600b4cd0ffc71d702c5ec30559297cdc026', d: "m18 9c0 4.9717-4.0298 9-9 9-4.9702 0-9-4.0283-9-9 0-4.9688 4.0298-9 9-9 4.9702 0 9 4.0312 9 9zm-9 1.8145c-0.92196 0-1.6694 0.7474-1.6694 1.6694 0 0.92196 0.7474 1.6694 1.6694 1.6694s1.6694-0.7474 1.6694-1.6694c0-0.92196-0.7474-1.6694-1.6694-1.6694zm-1.3157-1.065c0.012593 0.23095 0.20355 0.41175 0.43483 0.41175h1.7618c0.23128 0 0.42224-0.1808 0.43483-0.41175l0.2692-4.9355c0.013609-0.24946-0.18501-0.45922-0.43483-0.45922h-2.3002c-0.24982 0-0.4484 0.20976-0.43479 0.45922l0.2692 4.9355z", fill: "#FFE200" })))));
    }
    static get style() { return DigiIconValidationWarningStyle0; }
}, [2, "digi-icon-validation-warning", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-validation-warning"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-validation-warning":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconValidationWarning);
            }
            break;
    } });
}

export { IconValidationWarning as I, defineCustomElement as d };
